// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: command/modbus/WriteSingleCoil.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace WriteSingleCoil {

  /// <summary>Holder for reflection information generated from command/modbus/WriteSingleCoil.proto</summary>
  public static partial class WriteSingleCoilReflection {

    #region Descriptor
    /// <summary>File descriptor for command/modbus/WriteSingleCoil.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static WriteSingleCoilReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiRjb21tYW5kL21vZGJ1cy9Xcml0ZVNpbmdsZUNvaWwucHJvdG8SEXdyaXRl",
            "X3NpbmdsZV9jb2lsIlwKFldyaXRlU2luZ2xlQ29pbENvbW1hbmQSGQoRY29t",
            "bWFuZEhleEFkZHJlc3MYASABKAkSJwoFc3RhdGUYAiABKA4yGC53cml0ZV9z",
            "aW5nbGVfY29pbC5TdGF0ZSLkAQoeV3JpdGVTaW5nbGVDb2lsQ29tbWFuZFJl",
            "c3BvbnNlEl4KBnN0YXR1cxgBIAEoDjJOLndyaXRlX3NpbmdsZV9jb2lsLldy",
            "aXRlU2luZ2xlQ29pbENvbW1hbmRSZXNwb25zZS5Xcml0ZVNpbmdsZUNvaWxD",
            "b21tYW5kU3RhdHVzImIKHFdyaXRlU2luZ2xlQ29pbENvbW1hbmRTdGF0dXMS",
            "DAoIQUNDRVBURUQQABIMCghSRUpFQ1RFRBABEhMKD1JFQk9PVF9SRVFVSVJF",
            "RBACEhEKDU5PVF9TVVBQT1JURUQQAyoYCgVTdGF0ZRIGCgJPThAAEgcKA09G",
            "RhABQooBCiBjb20uY29kaWJseS5tb2RlbC5jb21tYW5kLm1vZGJ1c0IUV3Jp",
            "dGVTaW5nbGVDb2lsUHJvdG/KAiBEb21haW5Nb2RlbFxQcm90b1xDb21tYW5k",
            "XE1vZGJ1c+ICLERvbWFpbk1vZGVsXFByb3RvXENvbW1hbmRcTW9kYnVzXEdQ",
            "Qk1ldGFkYXRhYgZwcm90bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(new[] {typeof(global::WriteSingleCoil.State), }, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::WriteSingleCoil.WriteSingleCoilCommand), global::WriteSingleCoil.WriteSingleCoilCommand.Parser, new[]{ "CommandHexAddress", "State" }, null, null, null, null),
            new pbr::GeneratedClrTypeInfo(typeof(global::WriteSingleCoil.WriteSingleCoilCommandResponse), global::WriteSingleCoil.WriteSingleCoilCommandResponse.Parser, new[]{ "Status" }, null, new[]{ typeof(global::WriteSingleCoil.WriteSingleCoilCommandResponse.Types.WriteSingleCoilCommandStatus) }, null, null)
          }));
    }
    #endregion

  }
  #region Enums
  public enum State {
    [pbr::OriginalName("ON")] On = 0,
    [pbr::OriginalName("OFF")] Off = 1,
  }

  #endregion

  #region Messages
  public sealed partial class WriteSingleCoilCommand : pb::IMessage<WriteSingleCoilCommand>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<WriteSingleCoilCommand> _parser = new pb::MessageParser<WriteSingleCoilCommand>(() => new WriteSingleCoilCommand());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<WriteSingleCoilCommand> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::WriteSingleCoil.WriteSingleCoilReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WriteSingleCoilCommand() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WriteSingleCoilCommand(WriteSingleCoilCommand other) : this() {
      commandHexAddress_ = other.commandHexAddress_;
      state_ = other.state_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WriteSingleCoilCommand Clone() {
      return new WriteSingleCoilCommand(this);
    }

    /// <summary>Field number for the "commandHexAddress" field.</summary>
    public const int CommandHexAddressFieldNumber = 1;
    private string commandHexAddress_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string CommandHexAddress {
      get { return commandHexAddress_; }
      set {
        commandHexAddress_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "state" field.</summary>
    public const int StateFieldNumber = 2;
    private global::WriteSingleCoil.State state_ = global::WriteSingleCoil.State.On;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::WriteSingleCoil.State State {
      get { return state_; }
      set {
        state_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as WriteSingleCoilCommand);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(WriteSingleCoilCommand other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (CommandHexAddress != other.CommandHexAddress) return false;
      if (State != other.State) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (CommandHexAddress.Length != 0) hash ^= CommandHexAddress.GetHashCode();
      if (State != global::WriteSingleCoil.State.On) hash ^= State.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (CommandHexAddress.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(CommandHexAddress);
      }
      if (State != global::WriteSingleCoil.State.On) {
        output.WriteRawTag(16);
        output.WriteEnum((int) State);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (CommandHexAddress.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(CommandHexAddress);
      }
      if (State != global::WriteSingleCoil.State.On) {
        output.WriteRawTag(16);
        output.WriteEnum((int) State);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (CommandHexAddress.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(CommandHexAddress);
      }
      if (State != global::WriteSingleCoil.State.On) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) State);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(WriteSingleCoilCommand other) {
      if (other == null) {
        return;
      }
      if (other.CommandHexAddress.Length != 0) {
        CommandHexAddress = other.CommandHexAddress;
      }
      if (other.State != global::WriteSingleCoil.State.On) {
        State = other.State;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            CommandHexAddress = input.ReadString();
            break;
          }
          case 16: {
            State = (global::WriteSingleCoil.State) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            CommandHexAddress = input.ReadString();
            break;
          }
          case 16: {
            State = (global::WriteSingleCoil.State) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

  }

  public sealed partial class WriteSingleCoilCommandResponse : pb::IMessage<WriteSingleCoilCommandResponse>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<WriteSingleCoilCommandResponse> _parser = new pb::MessageParser<WriteSingleCoilCommandResponse>(() => new WriteSingleCoilCommandResponse());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<WriteSingleCoilCommandResponse> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::WriteSingleCoil.WriteSingleCoilReflection.Descriptor.MessageTypes[1]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WriteSingleCoilCommandResponse() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WriteSingleCoilCommandResponse(WriteSingleCoilCommandResponse other) : this() {
      status_ = other.status_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public WriteSingleCoilCommandResponse Clone() {
      return new WriteSingleCoilCommandResponse(this);
    }

    /// <summary>Field number for the "status" field.</summary>
    public const int StatusFieldNumber = 1;
    private global::WriteSingleCoil.WriteSingleCoilCommandResponse.Types.WriteSingleCoilCommandStatus status_ = global::WriteSingleCoil.WriteSingleCoilCommandResponse.Types.WriteSingleCoilCommandStatus.Accepted;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::WriteSingleCoil.WriteSingleCoilCommandResponse.Types.WriteSingleCoilCommandStatus Status {
      get { return status_; }
      set {
        status_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as WriteSingleCoilCommandResponse);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(WriteSingleCoilCommandResponse other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Status != other.Status) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (Status != global::WriteSingleCoil.WriteSingleCoilCommandResponse.Types.WriteSingleCoilCommandStatus.Accepted) hash ^= Status.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (Status != global::WriteSingleCoil.WriteSingleCoilCommandResponse.Types.WriteSingleCoilCommandStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (Status != global::WriteSingleCoil.WriteSingleCoilCommandResponse.Types.WriteSingleCoilCommandStatus.Accepted) {
        output.WriteRawTag(8);
        output.WriteEnum((int) Status);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (Status != global::WriteSingleCoil.WriteSingleCoilCommandResponse.Types.WriteSingleCoilCommandStatus.Accepted) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) Status);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(WriteSingleCoilCommandResponse other) {
      if (other == null) {
        return;
      }
      if (other.Status != global::WriteSingleCoil.WriteSingleCoilCommandResponse.Types.WriteSingleCoilCommandStatus.Accepted) {
        Status = other.Status;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 8: {
            Status = (global::WriteSingleCoil.WriteSingleCoilCommandResponse.Types.WriteSingleCoilCommandStatus) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 8: {
            Status = (global::WriteSingleCoil.WriteSingleCoilCommandResponse.Types.WriteSingleCoilCommandStatus) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the WriteSingleCoilCommandResponse message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum WriteSingleCoilCommandStatus {
        [pbr::OriginalName("ACCEPTED")] Accepted = 0,
        [pbr::OriginalName("REJECTED")] Rejected = 1,
        [pbr::OriginalName("REBOOT_REQUIRED")] RebootRequired = 2,
        [pbr::OriginalName("NOT_SUPPORTED")] NotSupported = 3,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
